PamCut: LTGeoFillCut Class Reference

# LTGeoFillCut Class Reference

The LT histogram filling. More...

`#include <LTGeoFillCut.h>`

Inheritance diagram for LTGeoFillCut:

List of all members.

## Public Member Functions
| LTGeoFillCut (const char *cutName, std::vector< float > binning, float thresholdCoeff)
| Constructor.
| ~LTGeoFillCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The threshold rigidity check.
void | OnGood (PamLevel2 *event)
| The histogram filling.
std::vector< float > & | GetHisto ()
| Returns the histogram.
float | GetHistoTot ()
| Returns the histogram total.
## Private Attributes
std::vector< float > | _binning
float | _thresholdCoeff
std::vector< float > | _histogram
float | _histogram_tot

## Detailed Description

The LT histogram filling.

This cut fills a Live Time (LT) histogram (in seconds) binned in threshold rigidity (in GV), given by the geomagnetic cutoff rigidity (the Stoermer cutoff) for that event multiplied by a threshold coefficient. It discards an event only if its threshold rigidity is outside the limits of the histogram.

Definition at line 24 of file LTGeoFillCut.h.

## Constructor & Destructor Documentation

LTGeoFillCut::LTGeoFillCut | ( | const char * | cutName,
|  | std::vector< float > | binning,
|  | float | thresholdCoeff |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | cutName | The cut's name.
  | binning | A vector containing the histogram binning in threshold rigidity. Note that it must contain both the upper and lower limits, and that the elements must be ordered (ie., lowest value in the first element and so on).
  | thresholdCoeff | The threshold rigidity coefficient for the event selection.

Definition at line 36 of file LTGeoFillCut.h.

LTGeoFillCut::~LTGeoFillCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 41 of file LTGeoFillCut.h.

## Member Function Documentation

int LTGeoFillCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The threshold rigidity check.

The event is discarded if its threshold rigidity is less than the lower histogram limit or higher than the upper limit.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if the threshold rigidity is contained in the histogram limits.

  0 otherwise.

Implements PamCut.

Definition at line 13 of file LTGeoFillCut.cpp.

References _binning, _thresholdCoeff, and CUTOK.

std::vector<float>& LTGeoFillCut::GetHisto | ( |  | ) | `[inline]`

Returns the histogram.

This method returns a vector filled with the LT (in seconds) corresponding to each threshold rigidity bin (in GV) defined in the binning argument of the constructor. Element 0 is the total LT for events whose threshold rigidity lies in the lowest bin and so on.

Returns:
  The LT histogram binned in threshold rigidity.

Definition at line 72 of file LTGeoFillCut.h.

References _histogram.

float LTGeoFillCut::GetHistoTot | ( |  | ) | `[inline]`

Returns the histogram total.

This method returns the LT (in seconds) summed over all threshold rigidity bins (in GV) defined in the binning argument of the constructor.

Returns:
  The LT histogram total.

Definition at line 82 of file LTGeoFillCut.h.

References _histogram_tot.

void LTGeoFillCut::OnGood | ( | PamLevel2 * | event | ) | `[virtual]`

The histogram filling.

The method fills the LT histogram (in seconds) with the currently selected event.

Parameters:

  | event | The currently selected event.

Reimplemented from PamCut.

Definition at line 26 of file LTGeoFillCut.cpp.

References _binning, _histogram, _histogram_tot, and _thresholdCoeff.

## Member Data Documentation

std::vector<float> LTGeoFillCut::_binning`[private]`

Definition at line 88 of file LTGeoFillCut.h.

Referenced by Check(), and OnGood().

std::vector<float> LTGeoFillCut::_histogram`[private]`

Definition at line 91 of file LTGeoFillCut.h.

Referenced by GetHisto(), and OnGood().

float LTGeoFillCut::_histogram_tot`[private]`

Definition at line 92 of file LTGeoFillCut.h.

Referenced by GetHistoTot(), and OnGood().

float LTGeoFillCut::_thresholdCoeff`[private]`

Definition at line 89 of file LTGeoFillCut.h.

Referenced by Check(), and OnGood().

The documentation for this class was generated from the following files:

- MiscCuts/LTGeoFillCut/LTGeoFillCut.h
- MiscCuts/LTGeoFillCut/LTGeoFillCut.cpp